Get Rate History
curl --request GET \
--url https://api.blockradar.co/v1/rates/{id}/history \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/rates/{id}/history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/rates/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"fromAsset": "BNB",
"toAsset": "USDC",
"network": "testnet",
"rate": "1",
"minAmount": "0.000005",
"isActive": false,
"maxAmount": null,
"status": "deactivated",
"version": 1,
"previousRateId": null,
"rootRateId": null,
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": "2026-02-25T18:13:48.113Z",
"deactivationReason": "re",
"createdAt": "2026-02-19T07:50:17.042Z",
"updatedAt": "2026-02-25T18:13:48.101Z"
}
],
"message": "Rate history retrieved successfully",
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
},
"statusCode": 200
}Get Rate History
Retrieves historical snapshots for a specific rate.
Use this endpoint to fetch the rate’s history over time (for an asset pair), typically used for auditing, analytics, or charting.
Endpoint
GET https://api.blockradar.co/v1/rates/:id/history
Path Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to retrieve history for. |
GET
/
v1
/
rates
/
{id}
/
history
Get Rate History
Authorizations
Path Parameters
Example:
"rate_id"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"fromAsset": "BNB",
"toAsset": "USDC",
"network": "testnet",
"rate": "1",
"minAmount": "0.000005",
"isActive": false,
"maxAmount": null,
"status": "deactivated",
"version": 1,
"previousRateId": null,
"rootRateId": null,
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": "2026-02-25T18:13:48.113Z",
"deactivationReason": "re",
"createdAt": "2026-02-19T07:50:17.042Z",
"updatedAt": "2026-02-25T18:13:48.101Z"
}
]
Example:
"Rate history retrieved successfully"
Show child attributes
Show child attributes
Example:
200
⌘I

